Skip to main content
Resource Center/Network Resource/VPC Operations

GetVirtualRouterSoftwareVersion

GetVirtualRouterSoftwareVersion

GET/zstack/v1/vpc/virtual-routers/{uuid}/softwareversion

Operation ID

GetVirtualRouterSoftwareVersion

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    Resource UUID.

Query Parameters

  • uuid
    String

    Optional. The resource UUID.

  • softwareName
    StringRequired

    The VPC software name.

  • needUpdate
    Boolean

    Optional. Choose whether to update.

  • systemTags
    List

    Optional. The system tag.

  • userTags
    List

    Optional. The user tag.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The resource UUID.

    • softwareName
      StringRequired

      The VPC software name.

    • currentVersion
      StringRequired

      The current version.

    • latestVersion
      StringRequired

      The latest version.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.